Bug 680423 - Review Request: drupal6-authfas - Drupal 6 module for authentication via a Fedora Account System
Review Request: drupal6-authfas - Drupal 6 module for authentication via a Fe...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: eric@christensenplace.us
Fedora Extras Quality Assurance
:
Depends On:
Blocks: InsightReviews
  Show dependency treegraph
 
Reported: 2011-02-25 09:09 EST by Paul W. Frields
Modified: 2011-03-16 00:08 EDT (History)
3 users (show)

See Also:
Fixed In Version: drupal6-authfas-0.2.1-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-16 00:08:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
eric: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Paul W. Frields 2011-02-25 09:09:28 EST
Spec URL: http://pfrields.fedorapeople.org/packages/SPECS/drupal6-authfas.spec
SRPM URL: http://pfrields.fedorapeople.org/packages/SRPMS/drupal6-authfas-0.2.1-1.fc14.src.rpm
Description: This module allows Drupal 6 users to be authenticated via an instance of the Fedora Account System (FAS).  Each Drupal role can also be mapped to a group in FAS, and group memberships are updated for a user before the session starts.
Comment 1 Paul W. Frields 2011-02-25 09:10:22 EST
$ rpmlint rpmbuild/SPECS/drupal6-authfas.spec rpmbuild/SRPMS/drupal6-authfas-0.2.1-1.fc14.src.rpm rpmbuild/RPMS/noarch/drupal6-authfas-0.2.1-1.fc14.noarch.rpm 
drupal6-authfas.src: W: spelling-error Summary(en_US) Drupal -> Drupelet, Drupe, Druidical
drupal6-authfas.noarch: W: spelling-error Summary(en_US) Drupal -> Drupelet, Drupe, Druidical
2 packages and 1 specfiles checked; 0 errors, 2 warnings.
Comment 2 eric@christensenplace.us 2011-03-07 20:15:37 EST
The source appears to be broken...

rpmbuild -ba SPECS/drupal6-authfas.spec 
error: File /home/christensene/rpmbuild/SOURCES/authfas-0.2.1.tar.bz2: No such file or directory
Comment 3 eric@christensenplace.us 2011-03-07 20:19:20 EST
Sorry... had a DOH! moment...  disregard comment 2.
Comment 4 eric@christensenplace.us 2011-03-07 20:31:14 EST
OK  MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.[1]
OK  MUST: The package must be named according to the Package Naming Guidelines .
OK  MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. [2] .
OK  MUST: The package must meet the Packaging Guidelines .
OK  MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
OK  MUST: The License field in the package spec file must match the actual license. [3]
OK  MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.[4]
OK  MUST: The spec file must be written in American English. [5]
OK  MUST: The spec file for the package MUST be legible. [6]
OK  MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
OK  MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. [7]
OK  MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. [8]
OK  MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
OK  MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.[9]
OK  MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. [10]
OK  MUST: Packages must NOT bundle copies of system libraries.[11]
NA  MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. [12]
OK  MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. [13]
OK  MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)[14]
OK  MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. [15]
OK  MUST: Each package must consistently use macros. [16]
OK  MUST: The package must contain code, or permissable content. [17]
OK  MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). [18]
OK  MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. [18]
NA  MUST: Header files must be in a -devel package. [19]
NA  MUST: Static libraries must be in a -static package. [20]
NA  MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. [19]
NA  MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release} [21]
NA  MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.[20]
NA  MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. [22]
OK  MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. [23]
OK  MUST: All filenames in rpm packages must be valid UTF-8. [24]



SHOULD Items:
Items marked as SHOULD are things that the package (or reviewer) SHOULD do, but is not required to do.

NA  SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it. [25]
X  SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available. [26]
X  SHOULD: The reviewer should test that the package builds in mock. [27]
X  SHOULD: The package should compile and build into binary rpms on all supported architectures. [28]
OK  SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
NA  SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity. [29]
NA  SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency. [21]
NA  SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb. [30]
NA  SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself. [31]
X SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.
Comment 5 eric@christensenplace.us 2011-03-08 07:24:26 EST
APPROVED
Comment 6 Bill Nottingham 2011-03-08 10:39:45 EST
Setting flag on behalf of Paul.
Comment 7 Paul W. Frields 2011-03-08 10:41:55 EST
New Package SCM Request
=======================
Package Name: drupal6-authfas
Short Description: Drupal 6 module for authentication via a Fedora Account System
Owners: pfrields
Branches: el5 el6 f15
InitialCC: asrob
Comment 8 Jason Tibbitts 2011-03-08 15:54:05 EST
Git done (by process-git-requests).
Comment 9 Fedora Update System 2011-03-09 10:29:47 EST
drupal6-authfas-0.2.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/drupal6-authfas-0.2.1-1.fc15
Comment 10 Fedora Update System 2011-03-09 20:47:43 EST
drupal6-authfas-0.2.1-1.fc15 has been pushed to the Fedora 15 testing repository.
Comment 11 Fedora Update System 2011-03-16 00:08:46 EDT
drupal6-authfas-0.2.1-1.fc15 has been pushed to the Fedora 15 stable repository.

Note You need to log in before you can comment on or make changes to this bug.